  web:
    image: docker.cnb.cool/happy_move/cnb/fund/fund_crawl_web:${IMAGE_TAG:-latest}
    ports:
      - "5000:5000"
    environment:
      DB_HOST: postgres
      DB_PORT: 5432
      DB_NAME: ${DB_NAME:-fund_data}
      DB_USER: ${DB_USER:-fund_user}
      DB_PASS: ${DB_PASS:-fund_pass123}
      EMAIL_HOST: ${EMAIL_HOST:-smtp.gmail.com}
      EMAIL_PORT: ${EMAIL_PORT:-587}
      EMAIL_USE_TLS: ${EMAIL_USE_TLS:-True}
      EMAIL_HOST_USER: ${EMAIL_HOST_USER}
      EMAIL_HOST_PASSWORD: ${EMAIL_HOST_PASSWORD}
      EMAIL_RECIPIENTS: ${EMAIL_RECIPIENTS}
      FLASK_DEBUG: "0"
      FLASK_ENV: "production"
    command: ["gunicorn", "-w", "2", "--max-requests", "1000", "--max-requests-jitter", "100", "--timeout", "120", "-b", "0.0.0.0:5000", "app.main:app"]
    depends_on:
      - postgres
    restart: unless-stopped
